Results 1 to 7 of 7
  1. #1

    LightstreamerClient does not connect on ubuntu, but work well on OSX

    LightstreamerClient does not connect on ubuntu, but work well on OSX. The LightstreamerClient's status doesn't switch to 'CONNECTING'.

    Here is the log from ubuntu: https://dl.dropboxusercontent.com/u/...reamer-log.txt
    Here is the log from mac: https://dl.dropboxusercontent.com/u/...uccess-log.txt

    And here is my code: https://gist.github.com/minibikini/2b9a8852ff893cca33fd

    I've tried on Ubuntu 13.10 and Ubuntu 12.04 with disabled firewalls.
    Node.js version: 0.10.26 and 0.10.25.

    Could you please help me troubleshoot this?

  2. #2
    Power Member
    Join Date
    Jul 2006
    Location
    Cesano Maderno, Italy
    Posts
    784
    Hi,

    from the log it looks like the client can't find the xmlhttprequest module.

    Did you run the following on the ubuntu machine?
    Code:
    npm install xmlhttprequest
    npm install faye-websocket
    If so try to add in your application the following call and let me know what does it return

  3. #3
    Hi Mone, thank you for the reply!

    1. Yes.
    2. { XMLHttpRequest: [Function] }

  4. #4
    Power Member
    Join Date
    Jul 2006
    Location
    Cesano Maderno, Italy
    Posts
    784
    Looks ok then

    I'm running on Kubuntu 12.04 with node 0.10.26 and the library works as expected:
    could you please try our sample application to see if that works?

    https://github.com/Weswit/Lightstrea...st-client-node
    (in index.js change the server address from localhost:8080 to push.lightstreamer.com)

  5. #5
    Just tried to run the sample application -- it outputs nothing.

  6. #6
    Senior Member
    Join Date
    Feb 2013
    Posts
    54
    Thanks for reporting this issue.
    We actually found a bug in lightstreamer_node.js which prevents to load correctly the required modules.
    We will release a new version as soon as possible, but for now you can go on with your tests using the version on your VPS (we have patched the lib on your VPS, but the patched lib works only for nodejs and is not a general fix)
    We suppose the issue is somehow related on the way node has been installed.
    Can you confirm us you installed node using apt-get?

  7. #7
    Thanks a lot!

    Yes, I installed nodejs via apt-get from ppa:chris-lea/node.js

    Here is the setup script i've used on the vps:
    Code:
    sudo apt-get update && \
    sudo apt-get upgrade -y && \
    sudo apt-get install -y python-software-properties python g++ make && \
    sudo add-apt-repository -y ppa:chris-lea/node.js && \
    sudo add-apt-repository -y ppa:keithw/mosh && \
    sudo apt-get update && \
    sudo apt-get upgrade -y && \
    sudo apt-get install -y git legit nodejs mosh htop && \
    legit install

 

 

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
All times are GMT +1. The time now is 09:34 PM.